Skip to main content

Delete Contact Custom Field

Remove a custom field value from a contact.

Request

DELETE /contacts/{contactUuid}/custom-fields/{fieldUuid}

Path Parameters

ParameterTypeDescription
contactUuidstringContact's UUID
fieldUuidstringCustom field's UUID

Example Request

curl -X DELETE "https://email.easy.tools/api/v1/contacts/contact-uuid-123/custom-fields/field-uuid-456" \
-H "Authorization: Bearer YOUR_API_TOKEN"

Response

Success Response (204 No Content)

No response body.

Error Responses

Not Found Error (404) - Contact

{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Contact not found"
}
}

Not Found Error (404) - Field

{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Custom field not found"
}
}

Not Found Error (404) - Value not set

Returned when the contact does not have a value set for this field.

{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Custom field value not found for this contact"
}
}